% DOCUMENT.PRO: Abstractions about documents.
% Author: Frans meijs, 9 dec 1996

symbol(S) :- document(S).

elemState__e_entity(T,D) :-
   informalName__e_document(T,D).

concept__isExplicitlyAssociatedWith_concept(C1,C2) :-
   document__represents_informalClass(C1,C2).
      % symbol__represents_concept/2
      % allows only one concept per symbol, which is too strictly here.


concept__isExplicitlyAssociatedWith_concept(C1,C2) :-
   person__isAuthorOf_document(C1,C2).


document__represents_informalClass(D,IC) :-
   nonvar(D),
   document__e_docVolMembership(D,DVM),
   docVol__e_docVolMembership(DV,DVM),
   docVol__represents_informalClass(DV,IC).
document__represents_informalClass(D,IC) :-
   var(D),nonvar(IC),
   docVol__represents_informalClass(DV,IC),
   docVol__e_docVolMembership(DV,DVM),
   document__e_docVolMembership(D,DVM).

