% FAMILY.PRC: The constraints

contradiction(['Contrad. class FAMILY1',F,
  'has member',P,
  'without exactly one sex;']) :- 
   o_verifyingLogMsg('FAMILY1'),
   person__e_family(P,F),
   propositionSet__has_cardinalNumber(sex__e_person(_,P),N),
   ~( N = 1).

contradiction(['Contrad. class FAMILY2',F,
  'has member',P,
  'without exactly one father;']) :- 
   o_verifyingLogMsg('FAMILY2'),
   person__e_family(P,F),
   ~( person__isFounderOf_family(P,F) ),
   propositionSet__has_cardinalNumber(person__isFatherOf_person(_,P),N),
   ~( N = 1).

contradiction(['Contrad. class FAMILY3',F,
  'has member',P,
  'with > 1 mother;']) :- 
   o_verifyingLogMsg('FAMILY3'),
   person__e_family(P,F),
   ~( person__isFounderOf_family(P,F) ),
   propositionSet__has_cardinalNumber(person__isMotherOf_person(_,P),N),
   N > 1.
        % "No mother" is allowed, for avoiding closures with other families.

