% membersh.prc



contradiction(['Contradiction MEMBERSH1: membership', Id,
   'has improper begin date', B]) :-
   beginDate__e_membership(B, Id),
   ~( date(B) ).


contradiction(['Contradiction MEMBERSH2: membership', Id,
   'has improper end date', E]) :-
   endDate__e_membership(E, Id),
   ~( date(E) ).

contradiction(['Contradiction MEMBERSH3: membership', Id,
   'has end date not greater than begin date']) :-
   beginDate__e_membership(B, Id),
   endDate__e_membership(E, Id),
   ~( date(B) ),
   ~( date(E) ),
   ~( date__lt_date(B, E) ).

contradiction(['Contradiction MEMBERSH11: membership', M,
   'has improper number of persons']) :-
   membership(M),
   propositionSet__has_cardinalNumber(
      person__e_membership(_, M),
      1).

contradiction(['Contradiction MEMBERSH12: membership', M,
   'has improper number of organizations']) :-
   membership(M),
   propositionSet__has_cardinalNumber(
      organization__e_membership(_, M),
      1).


%:- consult('date.pro').
