% person.prc: The constraints


contradiction(['Contrad. class PERSON1', P,
   'has no family name;']) :-
   o_verifyingLogMsg('PERSON1'),
   person(P),
   ~( familyName__e_person(_, P) ).


contradiction(['Contrad. class PERSON2', P,
   'has improper family name', FN]) :-
   o_verifyingLogMsg('PERSON2'),
   familyName__e_person(FN, P),
   ~( elemState__e_sort(FN, ['SortOf', 'properNounedStates']) ).

   
contradiction(['Contrad. class PERSON3', P,
   'has improper initials', I]) :-
   o_verifyingLogMsg('PERSON3'),
   initials__e_person(I, P),
   ~( elemState__e_sort(I, ['SortOf', 'properNounedStates']) ).


contradiction(['Contrad. class PERSON4', P,
   'has no initials']) :-
   o_verifyingLogMsg('PERSON4'),
   person(P),
   ~( initials__e_person(_, P) ).


contradiction(['Contrad. class PERSON5', P,
   'has improper calling name', CN]) :-
   o_verifyingLogMsg('PERSON5'),
   informalName__e_person(CN, P),
   ~( elemState__e_sort(CN, ['SortOf', 'properNounedStates']) ).

    
contradiction(['Contrad. class PERSON6', P,
   'has an improper birth date', BD]) :-
   o_verifyingLogMsg('PERSON6'),
   birthDate__e_person(BD, P),
   ~( date(BD) ).

contradiction(['Contrad. class PERSON7', P,
   'is no member of an organization;']) :-
   o_verifyingLogMsg('PERSON7'),
   person(P),
   ~( person__e_organization(P,_) ).

