% person.pro: Abstractions about persons.


structuralUnit(P) :- person(P).

elemState__e_entity(FN,P) :-
   familyName__e_person(FN,P).
elemState__e_entity(I,P) :-
   initials__e_person(I,P).
elemState__e_entity(CN,P) :-
   informalName__e_person(CN,P).
elemState__e_entity(S,P) :-
   specialism__e_person(S,P).

entity__isShareableElementOf_entity(E1,E2) :-
   birthDate__e_person(E1,E2).
entity__isShareableElementOf_entity(E1,E2) :-
   telecomAddress__e_person(E1,E2).             % Note 1.


concept__isAssociatedWith_concept(C1,C2) :-
   person__livesAt_geographicalLocation(C1,C2).

   
% Notes:

% 1. Originally telecomAddress was element of geographicalLocation,
%    but with the introduction of mobile phones this makes no
%    sense anymore.
