% RADIOST.PRO: Abstractions about radio stations.


document(RP) :- radioProgram(RP).

organization(RS) :- radioStation(RS).

structuralUnit__isExplicitlyPrivateElementOf_su(RP, RS) :-
    radioProgram__e_radioStation(RP, RS).

elemState__e_entity(F, RS) :-
    carrierFrequency__e_radioStation(F, RS).
    
elemState__e_entity(BT, RP) :-
    beginTime__e_radioProgram(BT, RP).

entity__e_entity(LDR, RP) :-
    registrationDate__e_radioProgram(LDR, RP).


% :- consult('radiost.prc').



