% date.prc: The constraints
% Author: Frans Meijs, 16 nov 2004

contradiction(['Contrad. class DATE1', X,
   'is an improper date']) :-
   o_verifyingLogMsg('DATE1'),
   date(X),
   ~( wellformedDate(X) ).

wellformedDate(DT) :-
   year__e_date(Y,DT),
   integer(Y),
   month__e_date(M,DT),
   posnat(M),
   int__le_int(M,12),
   dayOfMonth__e_date(DM,DT),
   posnat(DM),
   date__v2([Y,M,DM]).
