% TOD.PRC: The constraints
% (c) Author: Frans A. Meijs, 2004

contradiction(['Contrad. class TOD1', X,
   'is an improper time of day']) :-
   o_verifyingLogMsg('TOD1'),
   tod(X),
   ~( wellformedTod(X) ).

wellformedTod(TOD) :-
   hour__e_tod(H,TOD),
   nat(H),
   int__lt_int(H,24),
   minute__e_tod(M,TOD),
   nat(M),
   int__lt_int(M,60),
   second__e_tod(S,TOD),
   nat(S),
   int__lt_int(S,60).
